Main Page Widgets Namespaces Book

# Gtk::GammaCurve Class Reference
[Widgets]

Inheritance diagram for Gtk::GammaCurve:

[legend]
List of all members.

## Detailed Description

A subclass of Gtk::Curve for editing gamma curves.

## Public Member Functions

virtual | ~GammaCurve ()
GtkGammaCurve* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkGammaCurve* | gobj () const
| Provides access to the underlying C GtkObject.
| GammaCurve ()

## Related Functions

(Note that these are not member functions.)
Gtk::GammaCurve* | wrap (GtkGammaCurve* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::GammaCurve::~GammaCurve | ( |  | ) | `[virtual]`

Gtk::GammaCurve::GammaCurve | ( |  | ) |

## Member Function Documentation

const GtkGammaCurve* Gtk::GammaCurve::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::VBox.

GtkGammaCurve* Gtk::GammaCurve::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::VBox.

## Friends And Related Function Documentation

Gtk::GammaCurve* wrap | ( | GtkGammaCurve* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- curve.h